<div id="{{ idPrefix }}follow_up_reminder_widget" class="mdc-card h-100">
    <div class="card-header p-3 d-flex mb-4">
        <div class="icon-thumbnail me-4 ms-0 align-text-top">
            <span>
                <i class="material-icons">
                    today
                </i>
            </span>
        </div>
        <div class="card-title align-self-center">
            <h2 class="mb-1 fs-4">Wiedervorlagen</h2>
            <p class="mb-0">Übersicht zu aktuellen Wiedervorlagen{% if (occurrences|length > 0) %} (insgesamt {{ occurrences|length }}) {% endif %}</p>
        </div>
        <div class="ms-auto align-text-top">
            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': idPrefix ~ 'follow_up_reminder_widget',
                'listItems': [
                    {
                        'label': 'zu allen Wiedervorlagen',
                        'url': path('person_management_follow_up_overview'),
                        'icon': 'notifications_active'
                    },
                ]
            } only %}
        </div>
    </div>

    {% if (occurrences is not empty and occurrences|length > 3) %}
        {% set occurrences = occurrences|slice(0,3) %}
    {% endif %}

    {% include 'person_management/component/follow_up/follow_up_widget_list_component.html.twig' with {
        'idPrefix': 'follow_up_',
        'listItems': occurrences,
        'showActionButton': true,
        'noEntriesText': 'Aktuell liegen keine Wiedervorlagen vor',
        'massOperation': false,
        'pagination': false,
        'sortable': false,
    } only %}
</div>
